@REM ***************************************************************
@REM Licensed Material - Property of IBM
@REM 
@REM 5724-M24
@REM 
@REM Copyright IBM Corp. 2013.  All rights reserved.
@REM 
@REM US Government Users Restricted Rights - Use, duplication or
@REM disclosure restricted by GSA ADP Schedule Contract with IBM
@REM Corp.
@REM ***************************************************************
@echo off

setlocal

@REM echo.
@REM echo Start update widget context root prefix script
@REM echo.

GOTO Loop
@REM #######################################################
@REM #                                                     #
@REM # IVT Usage                                           #
@REM #                                                     #
@REM #######################################################
:USAGE
  echo.
  echo  updateWidgetContextRootPrefix -profileName ^<profile name^> -nodeName  ^<node name^> -serverName ^<server name^>
  echo                    -clusterName ^<cluster name^> -contextRootPrefix ^<context root prefix^>
  echo.
  echo  where:  
  echo.
  echo   -profileName ^<profile name^>:
  echo       The name of profile to apply the update
  echo.
  echo   -nodeName  ^<node name^>:
  echo       Name of node
  echo.
  echo   -serverName ^<server name^>:
  echo       Name of server
  echo.
  echo   -clusterName ^<cluster name^>:
  echo       Name of cluster
  echo.
  echo   -contextRootPrefix  ^<context root prefix^>:
  echo       New prefix for the context roots of the deployed applications
  echo.
  GOTO DONE  
  
  
@REM #######################################################
@REM #                                                     #
@REM # Read command line options                           #
@REM #                                                     #
@REM #######################################################
:Loop
IF "%1" == "" GOTO Continue
IF "%1" == "-nodeName" (
  set nodeName=%2
  GOTO Forward
)
IF "%1" == "-serverName" (
  set serverName=%2
  GOTO Forward
)
IF "%1" == "-clusterName" (
  set clusterName=%2
  GOTO Forward
)
IF "%1" == "-contextRootPrefix" (
  set contextRootPrefix=%2
  GOTO Forward
)
IF "%1" == "-profileName" (
  set profileName=%2
  GOTO Forward
)

echo ERROR: Invalid parameter: %1
GOTO USAGE

:Forward
shift /1
shift /1
GOTO Loop
:Continue

@REM #######################################################
@REM #                                                     #
@REM # Validate parameters                                 #
@REM #                                                     #
@REM #######################################################

IF %serverName%. == . (
  IF %clusterName%. == . (
    echo ERROR: Missing or invalid parameter: serverName, nodeName, or clusterName
    echo Command example: 
    echo updateWidgetContextRootPrefix.bat -profileName profile01 -nodeName Node01 -serverName server1 -contextRootPrefix prefix
    echo Or
    echo updateWidgetContextRootPrefix.bat -profileName profile01 -clusterName cluster01 -contextRootPrefix prefix
    GOTO DONE
  )
)

IF %profileName%. == . (
  echo ERROR: Missing or invalid parameter: profileName
  echo Command example : 
    echo updateWidgetContextRootPrefix.bat -profileName profile01 -nodeName Node01 -serverName server1 -contextRootPrefix prefix
    echo Or
    echo updateWidgetContextRootPrefix.bat -profileName profile01 -clusterName cluster01 -contextRootPrefix prefix
  GOTO DONE
)
@REM echo profileName=%profileName%

IF %contextRootPrefix%. == . (
    echo ERROR: Missing or invalid parameter: contextRootPrefix
    echo Command example: 
    echo updateWidgetContextRootPrefix.bat -profileName profile01 -nodeName Node01 -serverName server1 -contextRootPrefix prefix
    echo Or
    echo updateWidgetContextRootPrefix.bat -profileName profile01 -clusterName cluster01 -contextRootPrefix prefix
    GOTO DONE
)

@REM echo serverName=%serverName%
@REM echo nodeName=%nodeName%
@REM echo clusterName=%clusterName%
@REM echo contextRootPrefix=%contextRootPrefix%

set CUR_DIR=%cd%
cd /d "%~dp0\..\.."
set WASHOME=%cd%
cd /d "%CUR_DIR%"

IF NOT EXIST "%WASHOME%\bin\setupCmdLine.bat" set /p WASHOME=Please enter WAS home directory :

@REM echo "current dir is %CUR_DIR%" 

call "%WASHOME%\bin\setupCmdLine.bat"

IF %serverName%. == . (
  call "%WASHOME%\bin\wsadmin.bat" -connType NONE -lang jython -profileName %profileName% -f "%CUR_DIR%\updateWidgetContextRootPrefix.jy" %clusterName%  %contextRootPrefix%
)

IF %clusterName%. == . (
  call "%WASHOME%\bin\wsadmin.bat" -connType NONE -lang jython -profileName %profileName% -f "%CUR_DIR%\updateWidgetContextRootPrefix.jy" %nodeName%  %serverName%  %contextRootPrefix%
)


endlocal
:DONE
@REM echo "Done"
endlocal
@echo on

